<template>
  <div class="button" :class="theme" v-on="$listeners">
    <slot />
  </div>
</template>

<script>
export default {
  props: {
    theme: {
      type: String,
      required: false,
      default: ''
    }
  }
}
</script>

<style lang="scss" scoped>
.button {
  cursor: pointer;
  display: inline-block;
  padding: 1.5rem 4.5rem;
  color: #fff;
  background-color: #ff641e;
  font-weight: bold;
  font-size: 22px;
  text-transform: uppercase;
  white-space: nowrap;

  &:hover {
    background: #eb4900;
  }

  &.secondary {
    background-color: #1d968f;

    &:hover {
      background: darken(#1d968f, 10);
    }
  }

  &.white {
    background-color: #fff;
    color: #3e3e3e;
    font-family: DINCond-Bold;
    font-size: 20px;
    text-align: center;
    border: 1px solid #d8d8d8;

    &:hover {
      background-color: #d8d8d8;
    }
  }

  &.dark {
    background-color: #3e3e3e;
    color: #fff;
    font-family: DINCond-Bold;
    font-size: 20px;
    text-align: center;
    border: 1px solid #3e3e3e;

    &:hover {
      background-color: #d8d8d8;
      border: 1px solid #d8d8d8;
      color: #3e3e3e;
    }
  }

  &.select {
    background-color: #ededed;
    color: #3e3e3e;
    font-family: DINCond-Bold;
    font-size: 20px;
    text-align: center;
    &:hover {
      background: #eb4900;
      color: #fff;
    }
  }

  &.active {
    background: #eb4900;
    color: #fff;
    font-family: DINCond-Bold;
    font-size: 20px;
    text-align: center;
    &:hover {
      background: #ededed;
      color: #3e3e3e;
    }
  }

  &.disable {
    background-color: #ededed;
    color: #3e3e3e;
  }
}

.small-button {
  padding: 0.75rem 0;
  border-radius: 0;
  height: 46px;
  text-align: center;
  width: 46px;
  margin: 1rem 0;

  img {
    display: inline-block;
  }
}

.custom-button {
  width: 300px;
  padding: 24px 50px;
  text-align: center;
}

.mobile-cart-btn {
  padding: 5px;
}

.mobile-lib-btn {
  padding-top: 9px;
  padding-left: 3px;
}

.only-mobile,
.only-mobile-custom-price {
  display: none;
}

.only-desktop {
  display: block;
}

@media (max-width: 768px) {
  .only-mobile-custom-price {
    display: inline;
  }

  .only-mobile {
    display: block;
  }

  .only-desktop {
    display: none;
  }
}
</style>
